Bug 1475035 - Review Request: python-pyxs - Pure Python bindings to XenStore
Summary: Review Request: python-pyxs - Pure Python bindings to XenStore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 22:04 UTC by Carl George
Modified: 2017-08-11 19:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-04 16:52:38 UTC
Type: ---
robinlee.sysu: fedora-review+


Attachments (Terms of Use)

Description Carl George 2017-07-25 22:04:48 UTC
Spec URL: https://carl.george.computer/review/python-pyxs.spec

SRPM URL: https://carl.george.computer/review/python-pyxs-0.4.1-1.fc27.src.rpm

Description:
It's a pure Python XenStore client implementation, which covers all of the
libxs features and adds some nice Pythonic sugar on top.

Fedora Account System Username: carlwgeorge

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20730231

Comment 1 Robin Lee 2017-07-26 10:01:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "GPL (v3)", "Unknown or generated". 32
     files have unknown license. Detailed output of licensecheck in
     /home/cheese/Downloads/1475035-python-pyxs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyxs , python3-pyxs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyxs-0.4.1-1.fc27.noarch.rpm
          python3-pyxs-0.4.1-1.fc27.noarch.rpm
          python-pyxs-0.4.1-1.fc27.src.rpm
python2-pyxs.noarch: W: spelling-error %description -l en_US libxs -> lib's, libels
python3-pyxs.noarch: W: spelling-error %description -l en_US libxs -> lib's, libels
python-pyxs.src: W: spelling-error %description -l en_US libxs -> lib's, libels
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python3-pyxs.noarch: W: spelling-error %description -l en_US libxs -> lib's, libels
python2-pyxs.noarch: W: spelling-error %description -l en_US libxs -> lib's, libels
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-pyxs (rpmlib, GLIBC filtered):
    python(abi)

python2-pyxs (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-pyxs:
    python3-pyxs
    python3.6dist(pyxs)
    python3dist(pyxs)

python2-pyxs:
    python-pyxs
    python2-pyxs
    python2.7dist(pyxs)
    python2dist(pyxs)



Source checksums
----------------
https://github.com/selectel/pyxs/archive/0.4.1/pyxs-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 9eb0e793f7696284a6c4a134e230cd594b790cb45ae97680e4aa995ccaaffecb
  CHECKSUM(SHA256) upstream package : 9eb0e793f7696284a6c4a134e230cd594b790cb45ae97680e4aa995ccaaffecb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1475035
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


--------------
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
Only a single non-blocking issue is found.
This package is approved by cheeselee.

Comment 2 Gwyn Ciesla 2017-07-26 15:54:17 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pyxs

Comment 3 Fedora Update System 2017-07-26 20:34:48 UTC
python-pyxs-0.4.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ccd9d17ed6

Comment 4 Fedora Update System 2017-07-27 23:23:19 UTC
python-pyxs-0.4.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89f0d6ae05

Comment 5 Fedora Update System 2017-07-28 01:52:24 UTC
python-pyxs-0.4.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-929bc0cd89

Comment 6 Fedora Update System 2017-07-28 03:17:15 UTC
python-pyxs-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ccd9d17ed6

Comment 7 Fedora Update System 2017-07-28 03:18:30 UTC
python-pyxs-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d19e6f8a05

Comment 8 Fedora Update System 2017-08-04 16:52:38 UTC
python-pyxs-0.4.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-04 20:50:04 UTC
python-pyxs-0.4.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-08-11 18:49:11 UTC
python-pyxs-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-08-11 19:19:54 UTC
python-pyxs-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.